#pragma once

#include "holly/ta_parameter.hpp"
#include "ta_multiwriter.hpp"

namespace scene::tracker::notes {

  void draw_borders(ta_parameter_writer& writer, int x, int y);
  void draw_lines(ta_parameter_writer& writer, int x, int y);
  void draw_middle_line(ta_parameter_writer& writer, float x, float y);

  void draw(ta_multiwriter& multi, float x, float y);
}
